Bug 234016 - Bring up another iOS GPU Processes tester
Summary: Bring up another iOS GPU Processes tester
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryan Haddad
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-12-08 10:22 PST by Ryan Haddad
Modified: 2021-12-14 16:48 PST (History)
5 users (show)

See Also:


Attachments
Patch (5.31 KB, patch)
2021-12-08 11:37 PST, Ryan Haddad
no flags Details | Formatted Diff | Diff
Patch (8.22 KB, patch)
2021-12-08 11:45 PST, Ryan Haddad
no flags Details | Formatted Diff | Diff
Patch (9.32 KB, patch)
2021-12-08 11:55 PST, Ryan Haddad
no flags Details | Formatted Diff | Diff
[fast-cq] Patch for landing (9.36 KB, patch)
2021-12-09 11:11 PST, Ryan Haddad
no flags Details | Formatted Diff | Diff
Patch (6.80 KB, patch)
2021-12-13 16:01 PST, Ryan Haddad
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2021-12-08 10:22:14 PST
Bring up another iOS GPU Processes tester by repurposing the Catalina bot.
Comment 1 Ryan Haddad 2021-12-08 11:37:01 PST
Created attachment 446396 [details]
Patch
Comment 2 Ryan Haddad 2021-12-08 11:45:40 PST
Created attachment 446398 [details]
Patch
Comment 3 Ryan Haddad 2021-12-08 11:55:40 PST
Created attachment 446402 [details]
Patch
Comment 4 Ryan Haddad 2021-12-09 08:49:11 PST
rdar://86256956
Comment 5 Alexey Proskuryakov 2021-12-09 09:42:37 PST
Comment on attachment 446402 [details]
Patch

rs=me
Comment 6 Jon Lee 2021-12-09 10:55:29 PST
Comment on attachment 446402 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=446402&action=review

> Tools/CISupport/build-webkit-org/config.json:347
> +                      "additionalArguments": ["--no-retry-failures", "--use-gpu-process"],

please add --accelerated-drawing also.
Comment 7 Ryan Haddad 2021-12-09 11:11:12 PST
Created attachment 446572 [details]
[fast-cq] Patch for landing
Comment 8 Ryan Haddad 2021-12-09 11:11:39 PST
(In reply to Jon Lee from comment #6)
> Comment on attachment 446402 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=446402&action=review
> 
> > Tools/CISupport/build-webkit-org/config.json:347
> > +                      "additionalArguments": ["--no-retry-failures", "--use-gpu-process"],
> 
> please add --accelerated-drawing also.
Done!
Comment 9 EWS 2021-12-09 11:14:05 PST
Committed r286791 (245032@main): <https://commits.webkit.org/245032@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 446572 [details].
Comment 10 Ryan Haddad 2021-12-13 16:01:08 PST
Reopening to attach new patch.
Comment 11 Ryan Haddad 2021-12-13 16:01:09 PST
Created attachment 447078 [details]
Patch
Comment 12 EWS 2021-12-14 16:48:00 PST
Committed r287057 (245253@main): <https://commits.webkit.org/245253@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 447078 [details].